org.firebirdsql.jna.embedded.spi

## Interface FirebirdEmbeddedLibrary

All Known Subinterfaces:
  DisposableFirebirdEmbeddedLibrary

All Known Implementing Classes:
  ClasspathFirebirdEmbeddedLibrary, TemporaryFirebirdEmbeddedLibrary

    public interface FirebirdEmbeddedLibrary

Identifies a Firebird Embedded library that Jaybird can use.

It is recommend to implement `DisposableFirebirdEmbeddedLibrary` for implementations that require additional cleanup on exit.

Since:
  5
Author:
  Mark Rotteveel

### Method Summary

All Methods Instance Methods Abstract Methods
`java.nio.file.Path` `getEntryPointPath()`
`java.lang.String` `getVersion()` Version of the Firebird Embedded library.

### Method Detail

#### getEntryPointPath

    java.nio.file.Path getEntryPointPath()

Returns:
  Path of the Firebird Embedded main library file

#### getVersion

    java.lang.String getVersion()

Version of the Firebird Embedded library.

Returns:
  Version of the Firebird Embedded library
See Also:
  `getVersion()`